$:.unshift '.';require File.dirname(__FILE__) + '/../test_helper'

class ApplicationClientTest < Test::Unit::TestCase

  context "some existing applications" do
    setup do
      @stone_tablet = ApplicationClient.create(:name => "Stone Tablet", :app_key => 'stonetab')
      @game_gear = ApplicationClient.create(:name => "Game Gear", :app_key => 'gamegear')
    end

    should "not allow duplucate names or app_keys" do
      @dupe_name = ApplicationClient.new(:name => "Stone Tablet", :app_key => 'stone_tab')
      @dupe_name.save
      assert_equal ["has already been taken"], @dupe_name.errors[:name]
      @dupe_key = ApplicationClient.new(:name => "Gzame Gzear", :app_key => 'gamegear')
      @dupe_key.save
      assert_equal ["has already been taken"], @dupe_key.errors[:app_key]
    end
  end
end